Please remove nanny from archive

Bug #950395 reported by Flames_in_Paradise on 2012-03-08
4
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Nanny
Undecided
Unassigned
Baltix
Undecided
Unassigned
nanny (Ubuntu)
Undecided
Unassigned

Bug Description

* Package doesn't seem to be maintained since 19 Mar 2011. (no new releases since March 2011, no git activity since June 2011)

* Only shipped in Ubuntu, not Debian.

* Uses old PyGTK bindings that got dropped from Debian (because there, they didn't have any rdepends). The upstream bug to port to to PyGI hasn't gotten any attention (https://bugzilla.gnome.org/show_bug.cgi?id=626239). This is causing a dependency on NBS package python-gtop.

* Flavors that used to ship Nanny (like Edubuntu) have stopped, because it no longer integrates well in 11.10+. (no gsettings or gtk3 ports)

Thanks in advance

tags: added: nanny precise
description: updated
description: updated
description: updated
tags: added: remove

The relevant error comin up in 11.10 is:

"Starting nanny (Parental Control Daemon): usr/lib/python2.7/dist-packages/gtk-2.0/gtk/_init_py:57: GtkWarning: could not open Display"

This happend after a upgrade from 11.04 to 11.10 - including edubutu-meta, so packages of Nanny were not removed and LightDM cannot start. This pccured Not directly, but after recent updates of Oneiric this was revealed.

tags: added: oneiric remove-nanny
removed: remove
summary: - [Remove Package] Nanny fails with GTK-Dependencies 11.10 [Precise]
+ [Remove Package] Nanny fails with GTK-Dependencies 11.10+12.04 beta
+ [Precise]
summary: - [Remove Package] Nanny fails with GTK-Dependencies 11.10+12.04 beta
+ [Remove Package] Nanny fails with GTK-Dependencies 11.10+12.04
[Precise]
Michael Terry (mterry) on 2012-07-05
description: updated
summary: - [Remove Package] Nanny fails with GTK-Dependencies 11.10+12.04
- [Precise]
+ Please remove nanny from archive
description: updated
Changed in nanny:
status: New → Invalid
Colin Watson (cjwatson) wrote :

Removing packages:
        nanny 2.31.1-0ubuntu4 in quantal
                nanny 2.31.1-0ubuntu4 in quantal amd64
                nanny 2.31.1-0ubuntu4 in quantal armel
                nanny 2.31.1-0ubuntu4 in quantal armhf
                nanny 2.31.1-0ubuntu4 in quantal i386
                nanny 2.31.1-0ubuntu4 in quantal powerpc
Comment: requested by ellisistfroh/mterry; unmaintained, never in Debian, uses old PyGTK bindings, no gsettings/GTK3 port; LP: #950395
Remove [y|N]? y
1 package successfully removed.

Changed in nanny (Ubuntu):
status: New → Fix Released
Colin Watson (cjwatson) wrote :

Unsubscribing ~ubuntu-archive because the Baltix task means that otherwise we have no way to get this off our to-do list. Feel free to resubscribe us if there's some other action for us to take.

Cleaning up.

Changed in baltix:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers